from .http_exceptions import (
    HTTPException,
    BadRequestException,
    UnauthorizedException,
    ForbiddenException,
    NotFoundException,
    MethodNotAllowedException,
    NotAcceptableException,
    ProxyAuthenticationRequiredException,
    RequestTimeoutException,
    ConflictException,
    GoneException,
    LengthRequiredException,
    PreconditionFailedException,
    RequestEntityTooLargeException,
    RequestUriTooLongException,
    UnsupportedMediaTypeException,
    RequestedRangeNotSatisfiableException,
    ExpectationFailedException,
    ImATeapotException,
    MisdirectedRequestException,
    UnprocessableEntityException,
    LockedException,
    FailedDependencyException,
    UpgradeRequiredException,
    PreconditionRequiredException,
    TooManyRequestsException,
    RequestHeaderFieldsTooLargeException,
    UnavailableForLegalReasonsException,
)

from .ws_exceptions import (
    WebSocketException,
    WSProtocolError,
    WSUnsupportedData,
    WSNoStatusReceived,
    WSAbnormalClosure,
    WSBadGateway,
    WSInternalError,
    WSMessageTooBig,
    WSInvalidFramePayloadData,
    WSServiceRestart,
    WSMandatoryExt,
    WSPolicyViolation,
    WSTLSHandshake,
    WSTryAgainLater,
)

__all__ = [
    "HTTPException",
    "BadRequestException",
    "UnauthorizedException",
    "ForbiddenException",
    "NotFoundException",
    "MethodNotAllowedException",
    "NotAcceptableException",
    "ProxyAuthenticationRequiredException",
    "RequestTimeoutException",
    "ConflictException",
    "GoneException",
    "LengthRequiredException",
    "PreconditionFailedException",
    "RequestEntityTooLargeException",
    "RequestUriTooLongException",
    "UnsupportedMediaTypeException",
    "RequestedRangeNotSatisfiableException",
    "ExpectationFailedException",
    "ImATeapotException",
    "MisdirectedRequestException",
    "UnprocessableEntityException",
    "LockedException",
    "FailedDependencyException",
    "UpgradeRequiredException",
    "PreconditionRequiredException",
    "TooManyRequestsException",
    "RequestHeaderFieldsTooLargeException",
    "UnavailableForLegalReasonsException",
    "WebSocketException",
    "WSProtocolError",
    "WSUnsupportedData",
    "WSNoStatusReceived",
    "WSAbnormalClosure",
    "WSBadGateway",
    "WSInternalError",
    "WSMessageTooBig",
    "WSInvalidFramePayloadData",
    "WSServiceRestart",
    "WSMandatoryExt",
    "WSPolicyViolation",
    "WSTLSHandshake",
    "WSTryAgainLater",
]
